Blipstar Basic

Blipstar Basic is no longer supported.

Your existing store locators will work but you can't update the data.

We recommend you migrate to the standard Blipstar service - please contact us if you have any questions.